--[[
	Original Author: Imo 
	A simple addon that makes life tap post 1.12 scale to not kill yourself in PvP.
--]]


ilt_SR = {0.38,0.68,0.8,0.8,0.8,0.8};
ilt_LR = {30,75,140,220,310,424};


function ilt_OnLoad()
	-- Register Slash Commands
	SlashCmdList["ilt"] = ilt_slashCommand
	SLASH_ilt1 = "/IziLifeTap"
	SLASH_ilt2 = "/ilt"
	-- Register for events
	this:RegisterEvent("VARIABLES_LOADED")
	this:RegisterEvent("UNIT_INVENTORY_CHANGED")
	this:RegisterForClicks("LeftButtonUp")
	-- Checking for dependencie
	if not IsAddOnLoaded("BonusScanner") then
		UIErrorsFrame:AddMessage(ILT_ER_BS,1,1,0,1,UIERRORS_HOLD_TIME)
		if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("### Enable BonnusScanner in your addon setup window please ###") end
	end
end


function ilt_OnEvent()
	if(event == "VARIABLES_LOADED") then
		DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap " .. IZILIFETAP_VERSION .. " Loaded")
		-- check for first time
		if not iltDebug then iltDebug = false end
		if not iltMode then iltMode = "ON" end
		if not iltLock then iltLock = false end
		if not iltVis then iltVis = true end
		if not iltRatio then iltRatio = 4 end
		-- init the frame
		ilt_InitFrame()
	elseif(event=="UNIT_INVENTORY_CHANGED" and arg1=="player" and iltMode=="ON") then
		if iltDebug then
			DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap has detected a change in your equipment");
		end
		ilt_Update()
	end
end


function ilt_slashCommand (msg)
	if(strlen(msg) > 0) then
		if(string.find(msg, "debug")) then
			if iltDebug then iltDebug=false; DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap Debug Mode off");
			else iltDebug=true; DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap Debug Mode on"); end
		elseif(string.find(msg, "ratio")) then
			_,_,iltRatio = string.find(msg, "ratio (%d+)")
			DEFAULT_CHAT_FRAME:AddMessage(ILT_MSG_RATIO1 ..iltRatio.. ILT_MSG_RATIO2)
		elseif(string.find(msg, "spell")) then
			DEFAULT_CHAT_FRAME:AddMessage(ILT_MSG_SPELL1)
			ilt_Update();
			DEFAULT_CHAT_FRAME:AddMessage(ILT_MSG_SPELL2 .. iltSpell)
		elseif(string.find(msg, "hide")) then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage(ILT_MSG_HIDE) end
			iltVis=false
			ilt_InitFrame()
		elseif(string.find(msg, "show")) then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage(ILT_MSG_SHOW) end
			iltVis=true
			ilt_InitFrame()
		elseif(string.find(msg, "unlock")) then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage(ILT_MSG_UNLOCK) end
			iltLock=false
		elseif(string.find(msg, "lock")) then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage(ILT_MSG_LOCK)end
			iltLock=true
		elseif(string.find(msg, "on")) then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap ON") end
			iltMode="ON"
			ilt_InitFrame()
		elseif(string.find(msg, "off")) then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap OFF") end
			iltMode="OFF"
			ilt_InitFrame()
		else
			iltAnnounce()
		end
	else
		iltAnnounce()
	end
end


function iltAnnounce()
	DEFAULT_CHAT_FRAME:AddMessage(ILT_USE)
	DEFAULT_CHAT_FRAME:AddMessage(ILT_USE_ACT)
	DEFAULT_CHAT_FRAME:AddMessage(ILT_USE_SPELL) 
	DEFAULT_CHAT_FRAME:AddMessage(ILT_USE_VIS)
	DEFAULT_CHAT_FRAME:AddMessage(ILT_USE_LOCK)
	DEFAULT_CHAT_FRAME:AddMessage(ILT_USE_RATIO1)
	DEFAULT_CHAT_FRAME:AddMessage(ILT_USE_RATIO2)
end


function ilt_AutoScale()
	if (iltMode=="ON" and IsAddOnLoaded("BonusScanner")) then
		for i=6,1,-1 do
			if ( UnitHealth("player") > (iltSpell * ilt_SR[i] + ilt_LR[i] ) * iltRatio ) then
				if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("Casting Life Tap rank "..i) end
				CastSpellByName(ILT_SNAME .. "(" .. ILT_RANK .. " " .. i .. ")")
				--CastSpellByName("Life Tap(Rank "..i..")")
				break
			end
		end
	elseif (iltMode=='OFF') then
		if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("Casting Life Tap Max Rank") end
		CastSpellByName(ILT_SNAME)
	end
end


function ilt_Update()
	iltSpell = BonusScanner:GetBonus('DMG') + BonusScanner:GetBonus('SHADOWDMG');
	if iltDebug then
		DEFAULT_CHAT_FRAME:AddMessage("New Shadow Spell Power = " .. iltSpell);
	end
end

function ilt_InitFrame ()
	if iltVis then
		iltText:SetText( "IziLifeTap\n\n   "..iltMode.."    " );
		if (iltMode=="ON") then
			iltTextButton:SetBackdropBorderColor(0, 1, 0);
			iltTextButton:SetBackdropColor(0, 1, 0, 0.5);
		else
			iltTextButton:SetBackdropBorderColor(1, 0, 0);
			iltTextButton:SetBackdropColor(1, 0, 0, 0.5);
		end
		iltFrame:Show()
	elseif iltVis==false then
		iltFrame:Hide()
	end
end


function ilt_OnDragStart()
	if not iltLock then
		if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap Frame is moving") end
		iltFrame:StartMoving()
	end
end


function ilt_OnDragStop()
	if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap Frame stops moving") end
	iltFrame:StopMovingOrSizing()
end


function ilt_OnClick()
	if iltLock then
		if iltMode=="ON" then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap OFF") end
			iltMode="OFF"
			ilt_InitFrame ()
		elseif iltMode=='OFF' then
			if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap ON") end
			iltMode="ON"
			ilt_InitFrame ()
		end
	end
end