--[[
******************** VERSION ********************
--]]
IZILIFETAP_VERSION = GetAddOnMetadata("IziLifeTap", "Version")


--[[
******************** ENGLISH ********************
--]]
if (GetLocale() == "enUS") then
	--------------- BINDINGS ---------------
	BINDING_HEADER_IZILIFETAP = "IziLifeTap"
	BINDING_NAME_IZILIFETAP = "bind a key for AutoScaled Life Tap"
	BINDING_NAME_IZILIFETAP_MAX = "bind a key for Max Rank Life Tap (optional)"
	--------------- SPELL ---------------
	ILT_SNAME = "Life Tap"
	ILT_RANK = "Rank"
	--------------- MESSAGES ---------------
	ILT_MSG_RATIO1 = "You won't lose more than 1/"
	ILT_MSG_RATIO2 = " of your life when life tapping"
	ILT_MSG_SPELL1 = "IziLifeTap : forcing spell update"
	ILT_MSG_SPELL2 = "Shadow Spell Power = "
	ILT_MSG_HIDE = "IziLifeTap Frame Hide"
	ILT_MSG_SHOW = "IziLifeTap Frame Show"
	ILT_MSG_LOCK = "IziLifeTap Frame Lock"
	ILT_MSG_UNLOCK = "IziLifeTap Frame Unlock"
	--------------- ERROR MESSAGES ---------------
	ILT_ER_BS = "You MUST load BonnusScanner !"
	--------------- USAGE MESSAGES ---------------
	ILT_USE = "***** IziLifeTap Usage *****"
	ILT_USE_ACT = "IziLifeTap activation - /ilt on/off"
	ILT_USE_SPELL = "IziLifeTap manual spell update - /ilt spell"
	ILT_USE_VIS = "Show/hide the IziLifeTap frame - /ilt show/hide"
	ILT_USE_LOCK = "Lock/unlock the IziLifeTap frame - /ilt lock/unlock"
	ILT_USE_RATIO1 = "Define the ratio of maximum life lose - /ilt ratio x"
	ILT_USE_RATIO2 = "(Default is 4 meaning you will lose at most 1/4 of your current hp)"
end


--[[
******************** FRENCH ********************
--]]
if (GetLocale() == "frFR") then
	--------------- BINDINGS ---------------
	BINDING_HEADER_IZILIFETAP = "IziLifeTap"
	BINDING_NAME_IZILIFETAP = "D\195\169finissez une touche pour utiliser Connexion Auto-ajust\195\169"
	BINDING_NAME_IZILIFETAP_MAX = "D\195\169finissez une touche pour utiliser Connexion de rang maximal (facultatif)"
	--------------- SPELL ---------------
	ILT_SNAME = "Connexion"
	ILT_RANK = "Rang"
	--------------- MESSAGES ---------------
	ILT_MSG_RATIO1 = "Vous ne perdrez pas plus d' 1/"
	ILT_MSG_RATIO2 = " de votre votre vie par connexion"
	ILT_MSG_SPELL1 = "IziLifeTap : Mise a jour forc\195\169e de vos d\195\169gats des sorts de l'ombre"
	ILT_MSG_SPELL2 = "d\195\169gats des sorts de l'ombre = "
	ILT_MSG_HIDE = "Fen\195\170tre IziLifeTap Cach\195\169e"
	ILT_MSG_SHOW = "Fen\195\170tre IziLifeTap Affich\195\169e"
	ILT_MSG_LOCK = "Fen\195\170tre IziLifeTap Bloqu\195\169e"
	ILT_MSG_UNLOCK = "Fen\195\170tre IziLifeTap D\195\169bloqu\195\169e"
	--------------- ERROR MESSAGES ---------------
	ILT_ER_BS = "Vous devez activer BonnusScanner !"
	--------------- USAGE MESSAGES ---------------
	ILT_USE = "***** Utilisation d'IziLifeTap *****"
	ILT_USE_ACT = "Activation d'IziLifeTap - /ilt on/off"
	ILT_USE_SPELL = "Recalcul forc\195\169 de vos d\195\169gats des sorts de l'ombre - /ilt spell"
	ILT_USE_VIS = "Affiche/Cache la fen\195\170tre IziLifeTap - /ilt show/hide"
	ILT_USE_LOCK = "Bloque/D\195\169bloque la fen\195\170tre IziLifeTap - /ilt lock/unlock"
	ILT_USE_RATIO1 = "D\195\169finie le coefficient de perte maximum de vie - /ilt ratio x"
	ILT_USE_RATIO2 = "(Par d\195\169faut vaut 4, voulant dire que vous perdrez au maximum 1/4 de votre vie actuelle)"
end